=== debian/changelog ===
ros-galactic-rmf-battery (0.1.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- yadu <yadunund@openrobotics.org>  Wed, 27 Oct 2021 10:36:32 -0000
