=== debian/control ===
Source: ros-galactic-rmf-battery
Section: misc
Priority: optional
Maintainer: yadu <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-galactic-ament-cmake-catch2, ros-galactic-eigen3-cmake-module, ros-galactic-rmf-cmake-uncrustify, ros-galactic-rmf-traffic, ros-galactic-rmf-utils, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmf-battery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rmf-traffic, ros-galactic-rmf-utils, ros-galactic-ros-workspace
Description: Package for modelling battery life of robots
